;------------------------------------------------------------------------------
; File Name :      mdl.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 22, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; Message Delay Line interface
; 
;------------------------------------------------------------------------------
#define __mdl_inc
 ifndef __pdd_inc
    include "pdd.inc"
 endif
 ifdef __mdl_asm
   implementation
 else
   interface
 endif
;------------------------------------------------------------------------------

 public MDL
; Constructor parameter - eeprom address of constructor data
; Constructor data:
;   struct hla_object {
;       byte    acceptor; }    //1. acceptor object as a VOS object pointer
MDL_mData macro acceptor
    PDD_mData acceptor
 endm

;------------------------------------------------------------------------------

 constant MDL_cMsgIDSetParam = 23h
