;------------------------------------------------------------------------------
; File Name :      pdd.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Oct 21, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
; PDO - Process Data Object 
; An abstract class
;------------------------------------------------------------------------------
; PDD - Process Data object with a Dynamic output binding
; An abstract class
;------------------------------------------------------------------------------
#define __pdd_inc
 ifndef __eep_inc
 include "eep.inc"
 endif

 constant pdd_cAddrOffset = .0
 constant pdd_cAddrSize   = .1

PDO_mReadObjData macro offset
    movfw       This
   if offset > .0
    addlw       offset
   endif
    EEP_mRead
 endm

PDD_mReadObjData macro offset
    PDO_mReadObjData pdd_cAddrSize + offset
 endm

PDD_mSendToAcceptor macro MsgID
    PDO_mReadObjData  pdd_cAddrOffset
    VOS_mPostMsgIndir EEDATA, MsgID
 endm

PDD_mSendToAcceptorDyn macro gpr
    PDO_mReadObjData pdd_cAddrOffset    
    VOS_mPostMsgDyn  EEDATA, gpr
 endm

PDD_mData macro acceptor
    de low acceptor
 endm
